<?php
defined('ABSPATH') or die('No script kiddies please!!');
?>

<div class="std-field-wrap">
    <label><?php esc_html_e('Min Length', 'subscribe-to-download'); ?></label>
    <div class="std-field">
        <input type="number" name="<?php echo esc_attr($field_name_prefix); ?>[min_length]" value="<?php echo (!empty($field_details['min_length'])) ? esc_attr($field_details['min_length']) : ''; ?>" />
    </div>
</div>
<div class="std-field-wrap">
    <label><?php esc_html_e('Max length', 'subscribe-to-download'); ?></label>
    <div class="std-field">
        <input type="number" name="<?php echo esc_attr($field_name_prefix); ?>[max_length]" value="<?php echo (!empty($field_details['max_length'])) ? esc_attr($field_details['max_length']) : ''; ?>" />
    </div>
</div>
<div class="std-field-wrap">
    <label><?php esc_html_e('Pattern', 'subscribe-to-download'); ?></label>
    <div class="std-field">
        <input type="text" name="<?php echo esc_attr($field_name_prefix); ?>[pattern]" value="<?php echo (!empty($field_details['pattern'])) ? esc_attr($field_details['pattern']) : ''; ?>" />
        <p class="description"><?php esc_html_e('Please enter the pattern in which you want the telephone number to validate.', 'subscribe-to-download'); ?></p>
    </div>
</div>
<?php
